WeFunder company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-wefunder-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "riserobotics"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-wefunder-companies"
payload = { "company": "riserobotics" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: 'riserobotics'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-wefunder-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "wefunder_companies",
"company": "riserobotics",
"company_id": "riserobotics",
"human": "# WeFunder — company\n\n- **Id:** riserobotics\n- **Pages opened:** 1\n- **Proxy traffic:** 219.9 KB\n- **Tagline:** Powering Intelligent Heavy Machines\n- **Location:** Boston, MA\n- **Total raised:** 8170568\n- **Investors:** 3224\n- **Pre-money valuation:** $62.1M",
"machine": {
"company": {
"id": 160424,
"alias": "riserobotics",
"name": "RISE Robotics",
"tagline": "Powering Intelligent Heavy Machines",
"elevator_pitch": null,
"description": "Our co-founders set out to build a humanoid robot inspired by Iron Man. What started in a two-bedroom apartment is now an industrial technology company with $9.7M in revenue, defense contracts, and co",
"url": "https://wefunder.com/riserobotics",
"location": "Boston, MA",
"updated_at": "2026-10-09T13:39:02Z",
"website_url": "https://www.riserobotics.com/",
"image": "https://uploads.wefunder.com/uploads/company/custom_card_photo/160424/xxl_open-uri20250625-1-5fv4j8.jpg?1791553142",
"cover_image": null,
"header_media_url": "https://uploads.wefunder.com/uploads/company/header_media_photo/160424/xxl_avatar.jpg?1791553142",
"video_url": "https://dcd73ta2suabk.cloudfront.net/jsy7ianvnk4da3h7co4w2v4lnlzu",
"total_amount_raised": 8170568,
"total_investor_count": 3224,
"is_funded": false,
"is_active": true,
"quality_score": null,
"currency": "USD",
"security_type": "Preferred Stock",
"offering_type": "4(a)(6)",
"funding_type": null,
"structure": "equity",
"pre_money_valuation": "$62.1M",
"early_bird_valuation": null,
"min_investment": 250,
"funding_target": null,
"minimum_target": null,
"maximum_target": null,
"testing_the_waters": false,
"can_invest_now": true,
"linkedin_url": "https://linkedin.com/company/rise-robotics",
"twitter_url": "https://x.com/riserobotics",
"facebook_url": "https://facebook.com/riseroboticsinc/",
"instagram_url": "https://instagram.com/riserobotics/",
"youtube_url": "https://youtube.com/channel/UCkm8RkUVLoFKOxQRm_Ud2_g",
"blog_url": "https://www.riserobotics.com/blog-2",
"post_count": 232,
"question_count": 25,
"investor_comment_count": 1073,
"featured_investor_count": 9,
"faq_count": 5,
"industries": [
"minority_founder",
"venture_backed"
],
"highlights": [
{
"name": "vc_backed",
"presentable_name": "VC-Backed",
"description": "Raised $250K or more from a venture firm"
},
{
"name": "repeat_founder",
"presentable_name": "Repeat Founder",
"description": "Started a prior company with $2M+ in funding or revenue"
}
],
"quick_facts": [
"$9.7M in product and contract revenue till date; current contract backlog of $2.3M+",
"$27M raised from top VCs including Techstars, Fortistar Capital, & MIT's Engine Ventures"
],
"team": [
{
"id": 5131141,
"name": "Blake Sessions",
"role": "Co-Founder & CTO",
"bio": "Mechanical innovator & genius behind Beltdraulic innovation. Forbes 30 Under 30 Manufacturing. Work featured in WSJ. Pro Tool Innovation Award for air compressor, Whitelaw Prize & Luis de Florez MIT a",
"image": "https://uploads.wefunder.com/uploads/company_role/custom_photo/5131141/square_blob.jpg?1786486390",
"profile_url": "https://wefunder.com/blake.sessions.1",
"personal_url": null,
"linkedin_url": null,
"twitter_url": null
},
{
"id": 5767116,
"name": "Hiten Sonpal",
"role": "CEO",
"bio": "Robotics & commercialization exec. Generated $2B+ revenue (9M+ units) at iRobot, grew deployments 3x at Electric Sheep, launched SaaS & HW products at Robin. Graze Robotics & Main Street Autonomy advi",
"image": "https://uploads.wefunder.com/uploads/company_role/custom_photo/5767116/square_blob.jpg?1786486391",
"profile_url": "https://wefunder.com/hiten.sonpal",
"personal_url": "https://linkedin.com/in/hiten-sonpal",
"linkedin_url": "https://linkedin.com/in/hiten-sonpal/",
"twitter_url": null
}
],
"featured_investors": [
{
"id": 13712,
"name": "Engine Ventures",
"role_title": "General Partner",
"bio": "Built by MIT, Engine Ventures invests in Tough Tech founders: providing capital, operational expertise, and a powerful network to build and scale companies unlocking massive opportunities in climate c",
"image": "https://wefunder.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsiZGF0YSI6MTg0MDE3NSwicHVyIjoiYmxvYl9pZCJ9fQ==--dba054c5f16fa70dc57a9545ecaba05a40759184/avatar.jpg",
"profile_url": "https://wefunder.com/the.engine.1",
"investor_profile_id": 4009282,
"is_lead_investor": false,
"endorsement_quote": "It takes a lot to make a machine move. Displacing hydraulics is just the first application of RISE Robotics’ IP for improving motion and electrifying heavy machinery. Their research, approach and syst",
"endorsement_name": "Reed Sturtevant",
"investment_total": 3000000,
"investment_info": "Invested $3,000,000 previously",
"is_memo_paid_by_company": null,
"related_urls": [
"https://engine.xyz/"
]
},
{
"id": 4138054,
"name": "Kingscrowd Capital",
"role_title": null,
"bio": "Kingscrowd Capital is the first Data-Driven Fund in the Online Private Market.",
"image": "https://wefunder.com/rails/active_storage/representations/redirect/eyJfcmFpbHMiOnsiZGF0YSI6MTQ2OTAsInB1ciI6ImJsb2JfaWQifX0=--dacedb40a396840ff4e386dccd425cea223bd1c0/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYX",
"profile_url": "https://wefunder.com/kingscrowdcapital",
"investor_profile_id": 3600107,
"is_lead_investor": false,
"endorsement_quote": "Investing in deep‑tech hardware requires backing companies that solve critical needs with durable, hard‑to‑replicate innovations. RISE Robotics checks all those boxes. Its fluid‑free actuator technolo",
"endorsement_name": null,
"investment_total": 10000,
"investment_info": "Invested $10,000 this round",
"is_memo_paid_by_company": null,
"related_urls": [
"https://kingscrowd.com/capital/"
]
}
],
"investor_memos": [
{
"investor_name": "Kingscrowd Capital",
"memo_url": "https://wefunder.com/updates/181435",
"paid_for_by_company": false
},
{
"investor_name": "D3VC",
"memo_url": "https://wefunder.com/memos/feed/185519-data-driven-digital-venture-capital-investment-memo-rise-robotics",
"paid_for_by_company": false
}
],
"latest_fundraise": {
"id": 162132,
"state": "open",
"offering_type": "4(a)(6)",
"funding_type": null,
"structure": "equity",
"security_type": "Preferred Stock",
"currency": "USD",
"testing_the_waters": false,
"can_invest_now": true,
"min_investment": 250,
"max_investment": null,
"funding_target": null,
"minimum_target": null,
"maximum_target": null,
"pre_money_valuation": "$62.1M",
"early_bird_valuation": null,
"valuation_caption": "If you invest, you're betting RISE Robotics will be worth more than $62.1M in the future.",
"funding_started_at": null,
"funding_closed_at": null,
"closes_on": "Oct 16",
"status_label": "FIRST GOAL HIT",
"raised_this_round": 18998732,
"investor_count_this_round": 1026,
"price_per_share": 10.73
},
"active_fundraises": [
{
"id": 162132,
"state": "open",
"offering_type": "4(a)(6)",
"funding_type": null,
"structure": "equity",
"security_type": "Preferred Stock",
"currency": "USD",
"testing_the_waters": false,
"can_invest_now": true,
"min_investment": 250,
"max_investment": null,
"funding_target": null,
"minimum_target": null,
"maximum_target": null,
"pre_money_valuation": "$62.1M",
"early_bird_valuation": null,
"valuation_caption": "If you invest, you're betting RISE Robotics will be worth more than $62.1M in the future.",
"funding_started_at": null,
"funding_closed_at": null,
"closes_on": "Oct 16",
"status_label": "FIRST GOAL HIT",
"raised_this_round": 18998732,
"investor_count_this_round": 1026,
"price_per_share": 10.73
}
],
"raised_breakdown": [
{
"type": "reg_cf",
"title": "Regulation CF",
"subtitle": null,
"entity_name": "Wefunder Inc.",
"amount": 974652,
"windows": [
{
"label": "Since Apr 9, 2026",
"amount": null
}
]
},
{
"type": "reg_d",
"title": "Regulation D",
"subtitle": null,
"entity_name": "Wefunder Advisors LLC",
"amount": 2199722,
"windows": [
{
"label": "Since Feb 5, 2026",
"amount": null
}
]
}
],
"perks": [
{
"id": 103354,
"qualifying_amount": 1500,
"description": "RISE Hat",
"number_of_claims": null
},
{
"id": 103352,
"qualifying_amount": 3000,
"description": "RISE Backpack",
"number_of_claims": null
}
],
"q_and_a": [
{
"id": 300800,
"question": "Can you please share any guidance on 2024 revenue given we're in January of 2025? I understand the numbers won't be final for some time. Even LTM Q3 would be directionally helpful, if more readily ava",
"author_name": null,
"votes": null,
"created_at": null,
"url": "https://wefunder.com/riserobotics#question-300800",
"answer_count": 1,
"answers": []
},
{
"id": 312253,
"question": "Hi Rise Robotics team, this is Zac from D3VC. We're revisiting your offering and wanted to ask a few quick questions as part of our diligence: Could you briefly clarify what aspects of the Beltdraulic",
"author_name": null,
"votes": null,
"created_at": null,
"url": "https://wefunder.com/riserobotics#question-312253",
"answer_count": 1,
"answers": []
}
],
"faq": [
{
"question": "What rights come with the specific type of shares being sold here? Common stock class A/B/C? Preferred shares? Bonds?",
"text": "Hi H G-C, The shares being offered are preferred shares, same as those owned by our current investors."
},
{
"question": "I try to avoid getting too many K-1 statements especially for smaller investments. Would it be reasonable to assume that I wouldn’t get K-1 statements in the near term (i.e. not annually)?",
"text": "Hi Steven, I am not an expert on K-1s, but my understanding is that K-1 statements are sent when there are distributions. We expect break even to occur at the end of 2027 / beginning of 2028, so I bel"
}
],
"recent_posts": [
{
"id": 368862,
"post_type": "update",
"document_title": "Catch RISE Robotics on “Advancements with Ted Danson” on Bloomberg TV",
"preview": null,
"published_at": "2026-08-14",
"author_name": null,
"url": "https://wefunder.com/feed/368862"
},
{
"id": 296218,
"post_type": "update",
"document_title": "Oops! Our new round is not yet open…but very soon",
"preview": null,
"published_at": "2026-04-07",
"author_name": null,
"url": "https://wefunder.com/feed/296218"
}
]
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 225164
},
"total_points": 5
}Startup & Funding Data
WeFunder company
Get one WeFunder company by slug or URL: tagline, location, total raised and investors, current round (valuation, minimum investment, closing date), highlights, team, featured investors, memos, perks, FAQ and the latest updates and questions. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-wefunder-companies
WeFunder company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company slug or WeFunder URL. e.g. riserobotics
Response
Run completed.